import ts from "typescript";
import type { TsGenerator } from "../../../api";
import type { CodeGenerator } from "../../../types";
import type { Option } from "../types";
import * as MethodBody from "./MethodBody";
export { MethodBody };
/**
 *
 * public async {functionName}(params: {argumentParamsTypeDeclaration}<{RequestContentType}>): Promise<{requestBodyName}[ResponseContentType]> {
 *
 * }
 */
export declare const create: (factory: TsGenerator.Factory.Type, params: CodeGenerator.Params, option: Option) => ts.MethodDeclaration;
