import ts from "typescript";
export interface Params {
    value: string | boolean | number;
    comment?: string;
}
export interface Factory {
    create: (params: Params) => ts.LiteralTypeNode;
}
export declare const create: ({ factory }: Pick<ts.TransformationContext, "factory">) => Factory["create"];
export declare const make: (context: Pick<ts.TransformationContext, "factory">) => Factory;
